Bug 1011143 - [abrt] cups-pdf-2.6.1-6.fc19: create_dir: Process /usr/lib/cups/backend/cups-pdf was killed by signal 11 (SIGSEGV)
[abrt] cups-pdf-2.6.1-6.fc19: create_dir: Process /usr/lib/cups/backend/cups-...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups-pdf (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:906326abcd815857beb5f0e7ce5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 12:38 EDT by Nicholas Kudriavtsev
Modified: 2015-02-18 06:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:29:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.38 KB, text/plain)
2013-09-23 12:38 EDT, Nicholas Kudriavtsev
no flags Details
File: cgroup (155 bytes, text/plain)
2013-09-23 12:38 EDT, Nicholas Kudriavtsev
no flags Details
File: core_backtrace (1.60 KB, text/plain)
2013-09-23 12:38 EDT, Nicholas Kudriavtsev
no flags Details
File: dso_list (328 bytes, text/plain)
2013-09-23 12:39 EDT, Nicholas Kudriavtsev
no flags Details
File: environ (860 bytes, text/plain)
2013-09-23 12:39 EDT, Nicholas Kudriavtsev
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-23 12:39 EDT, Nicholas Kudriavtsev
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-23 12:39 EDT, Nicholas Kudriavtsev
no flags Details
File: maps (1.91 KB, text/plain)
2013-09-23 12:39 EDT, Nicholas Kudriavtsev
no flags Details
File: open_fds (857 bytes, text/plain)
2013-09-23 12:39 EDT, Nicholas Kudriavtsev
no flags Details
File: proc_pid_status (896 bytes, text/plain)
2013-09-23 12:39 EDT, Nicholas Kudriavtsev
no flags Details
File: var_log_messages (374 bytes, text/plain)
2013-09-23 12:39 EDT, Nicholas Kudriavtsev
no flags Details

  None (edit)
Description Nicholas Kudriavtsev 2013-09-23 12:38:47 EDT
Description of problem:
While any printing cups-pdf crashes.

Version-Release number of selected component:
cups-pdf-2.6.1-6.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        cups-pdf:/ 10 nickk 'Test page' 1 'job-uuid=urn:uuid:ac765b4b-e574-3641-4444-462f2e231e30 job-originating-host-name=localhost time-at-creation=1379951934 time-at-processing=1379951934'
crash_function: create_dir
executable:     /usr/lib/cups/backend/cups-pdf
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 create_dir at cups-pdf.c:129
 #3 prepareuser at cups-pdf.c:311
Comment 1 Nicholas Kudriavtsev 2013-09-23 12:38:51 EDT
Created attachment 801775 [details]
File: backtrace
Comment 2 Nicholas Kudriavtsev 2013-09-23 12:38:54 EDT
Created attachment 801776 [details]
File: cgroup
Comment 3 Nicholas Kudriavtsev 2013-09-23 12:38:59 EDT
Created attachment 801777 [details]
File: core_backtrace
Comment 4 Nicholas Kudriavtsev 2013-09-23 12:39:02 EDT
Created attachment 801778 [details]
File: dso_list
Comment 5 Nicholas Kudriavtsev 2013-09-23 12:39:05 EDT
Created attachment 801779 [details]
File: environ
Comment 6 Nicholas Kudriavtsev 2013-09-23 12:39:08 EDT
Created attachment 801780 [details]
File: exploitable
Comment 7 Nicholas Kudriavtsev 2013-09-23 12:39:11 EDT
Created attachment 801781 [details]
File: limits
Comment 8 Nicholas Kudriavtsev 2013-09-23 12:39:14 EDT
Created attachment 801782 [details]
File: maps
Comment 9 Nicholas Kudriavtsev 2013-09-23 12:39:18 EDT
Created attachment 801783 [details]
File: open_fds
Comment 10 Nicholas Kudriavtsev 2013-09-23 12:39:21 EDT
Created attachment 801784 [details]
File: proc_pid_status
Comment 11 Nicholas Kudriavtsev 2013-09-23 12:39:24 EDT
Created attachment 801785 [details]
File: var_log_messages
Comment 12 Remi Collet 2013-09-23 12:58:26 EDT
What is the content of /etc/cups/cups-pdf.conf ?
"Out" value seems wrong, need an absolute path.

Of course this should not raise this segfault.
Comment 13 Nicholas Kudriavtsev 2013-09-23 14:18:06 EDT
Oops! "Out" should be ${HOME}/Documents/PDF. Now cups-pdf prints correct.
Comment 14 Fedora End Of Life 2015-01-09 17:18:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-18 06:29:39 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.